{% extends 'base.twig' %}

{% block content %}

<article>

<p>
    <a href="/dinosaurs">Retour à la liste des dinosaures</a>
</p>
{% if dino %}
<h2>Notre dinosaure: </h2>

<dl>
    <dt>Name</dt>
    <dd>{{ dino.name }}</dd>

    <dt>Birthday</dt>
    <dd>{{ dino.birthday }}</dd>

    <dt>Avatar</dt>
    <dd>
        {% if dino.avatar %}
            <figure>
                <img src="{{ dino.avatar_b64 }}" />
                <figcaption>Current avatar</figcaption>
            </figure>
        {% endif %}
    </dd>

    <dt>Model</dt>
    <dd>{{ dino.model.specie.name }} {{ dino.model.version }}</dd>
</dl>

{% else %}
    Dinosaure introuvable !
{% endif %}

</article>

{% endblock %}